<html>
<head>
    <% FwIncludeFile("/web/charset.txt"); %>
    <meta http-equiv="expires" content="0">
	<meta http-equiv="pragma" content="no-cache">	
	<link rel="stylesheet" href="/style.css" type="text/css">
	<script language=javascript>
	<% FwCameraGet("FwModId",0,"NO_SNAP"); %>  
	<% FwCamCtlGet(); %>
    <% NssDefAppPorts(); %>
    <% FwGetRtpRtspInfo(); %>

	function GetData() {	
		with( document.all ){
		    var ObjStr, port;
		    var IP = document.location.hostname;
		    var AuthInfo = <% FwGetUser(); %> + ":" + <% FwGetPassEx("0"); %> + "@";
		    var RTSP_SRC = "rtsp://" + AuthInfo + IP + ":" + RTSP_PORT + "/cam" + FWMODID + "_" + Number(PORTID + 1);

		    if (location.protocol == "https:") {
		        port = WEBSPORT;
		    }
		    else {
		        port = document.location.port;
		        if (port == "") {
		            port = 80;
		        }
		    }

		    if (navigator.userAgent.match(/MSIE/i) || navigator.userAgent.match(/Trident/i)) {
		        if (GetOSType()) {
		            ObjStr = "<OBJECT classid=CLSID:95E2148E-2C85-4FCE-BB06-6952F3FF7830 " +
                            "codebase=<% FwGetActiveXFilePath("VIEWER_OCX2"); %>#Version=<% FwGetActiveXFilePath("VIEWER_VERSION2"); %> " +
                            "width='430' height='300' id=SVMultiChannelMediaCtl></OBJECT>";
		        }
		        else {
		            ObjStr = "<OBJECT classid=CLSID:95E2148E-2C85-4FCE-BB06-6952F3FF7830 " +
                            "codebase=<% FwGetActiveXFilePath("VIEWER_OCX1"); %>#Version=<% FwGetActiveXFilePath("VIEWER_VERSION1"); %> " +
                            "width='430' height='300' id=SVMultiChannelMediaCtl></OBJECT>"
		        }
		        ViewerArea.innerHTML = ObjStr;

		        channelHandle = SVMultiChannelMediaCtl.CreateChannel(IP, port, "", 0, FWMODID, Number(PORTID) + 1, <% FwGetUser(); %>, <% FwGetPassEx("2"); %>, 0, 5, 0, 0, 0);	
		        SVMultiChannelMediaCtl.SetDrawFit(channelHandle, 2);
		        SVMultiChannelMediaCtl.StartStreaming(channelHandle);
		    }
		    else {
		        ObjStr = "<EMBED type='application/x-vlc-plugin' pluginspage='http://www.videolan.org' version='VideoLAN.VLCPlugin.2' " +
                        "width='430' height='300' controls='False' Volume='200' id='OmniViewer' " +
                        "</EMBED>";

		        document.getElementById("ViewerArea").innerHTML = ObjStr;

		        var options = ":rtsp-tcp";
		        document.getElementById("OmniViewer").playlist.clear();
		        document.getElementById("OmniViewer").playlist.add(RTSP_SRC,"",options);
		        document.getElementById("OmniViewer").playlist.play();
		    }
	
			Contrast.value = CONTRAST;
			Brightness.value = BRIGHTNESS;
			Mirror.value = MIRROR;		
			Environment[0].checked = ((ENVIRONMENT == 0) ? true : false);
			Environment[1].checked = ((ENVIRONMENT == 1) ? true : false);

		}
	}	

    if (!navigator.userAgent.match(/MSIE/i) && !navigator.userAgent.match(/Trident/i)) {
        var timer=setInterval('OmniViewerStateChk();', 5000);
    }

    function OmniViewerStateChk() {
        with (document.all) {
            if (!document.getElementById('OmniViewer').playlist.isPlaying) {
                document.getElementById("OmniViewer").playlist.play();
            }
        }
    }

	function SetData() {
		with (document.all) {
			if( isNaN(Contrast.value) == true){
				alert("\'" + Contrast.value + "\' is not a number.");
				Contrast.focus();
				return false;
			}
			if(Contrast.value < 0 || Contrast.value > 242) {
				alert("Value should be 0 ~ 242");
				Contrast.focus();
				return false;
			}
			
			if( isNaN(Brightness.value) == true){
				alert("\'" + Brightness.value + "\' is not a number.");
				Brightness.focus();
				return false;
			}
			if(Brightness.value < 0 || Brightness.value > 255) {
				alert("Value should be 0 ~ 255");
				Brightness.focus();
				return false;
			}
						
			toback.disabled = true;
			toapply.disabled = true;
		}
	}

	function GetOSType() {
	    var osType = navigator.userAgent;

	    if ((osType.indexOf("NT 5.2") != -1) || (osType.indexOf("NT 5.1") != -1) || (osType.indexOf("NT 5.0") != -1)) { // Not Supported!
	        return false;
	    }
	    else {
	        return true;
	    }
	}
	</script>
</head>

<body class=body_Normal onload="GetData();" topmargin=20>
<form name='cam' method=Post action="/cgi-bin/admin/fwcamctlset.cgi" onSubmit="return SetData();">
	<table align=center>
		<tr>
			<td align=center height=30><font class=text_Title>Camera Control</font></td>
		</tr>
		<tr>
			<td>
				<table align=center class=tbl_Normal cellspacing=0>
					<tr>
						<td colspan="2" align="center" class=td_NormalRight>
                            <div id="ViewerArea"></div>
						</td>
					</tr>
					<tr>
						<td width='160' class=td_NormalLeft>&nbsp;Contrast</td>
						<td width='270' class=td_NormalRight>&nbsp; <input type=text name=Contrast size=4 maxlength=3 class=obj_Normal> (Default:18, 0 ~ 242)</td>
					</tr>
					<tr>
						<td class=td_NormalLeft>&nbsp;Brightness</td>
						<td class=td_NormalRight>&nbsp; <input type=text name=Brightness size=4 maxlength=3 class=obj_Normal> (Default:8, 0 ~ 255)</td>
					</tr>
					<tr>
						<td class=td_NormalLeft>&nbsp;Mirror Control</td>
						<td class=td_NormalRight>&nbsp; <select name=Mirror>
						<option value=0>Normal
						<option value=1>Mirror
						<option value=2>Flip
						<option value=3>Rotate  &nbsp;</select> </td>
					</tr>
					<tr>
						<td class=td_NormalLeft>&nbsp;Environment</td>
						<td class=td_NormalRight>&nbsp; <input type=radio name=Environment value=0>
						Indoor &nbsp;<input type=radio name=Environment value=1>
						Outdoor</td>
					</tr>
				</table>
			</td>
		<tr>
			<td align=center height=40>
				<input type=hidden name='FwCgiVer' value='0x0001'>
				<input type=hidden name='FwMkChg' value='YES'>
				<input type=hidden name='RetPage' value='/admin/ret_ok.asp'>
				<input type=button name=toback class=obj_Button value=' Back ' onClick="location='videocfg_<% FwGetSensorTypeMapping(); %>.asp?FwModId=<%FwGetParmValue("FwModId");%>'">&nbsp;
				<input type=submit name=toapply value=' Apply ' class=obj_Button>
			</td>
		</tr>
	</table>
</form>
</body>
</html>