<html>
<head>
<% FwIncludeFile("/web/charset.txt"); %>
<title>Omni Viewer</title>
<link rel="stylesheet" href="/style.css" type="text/css">
<style type="text/css">
<!--
.line {
	border-right-width: 1px;
	border-right-style: solid;
	border-right-color: #CCCCCC;
}
.topLine {
	border: 1px solid #CCCCCC;
}
.style_ShortFocus	{border:0; width:76px; height:24px; background:url('/img/btn_ShortFocus.gif')}
.style_ShortOver	{border:0; width:76px; height:24px; background:url('/img/btn_ShortOver.gif')}
-->
</style>
<script language="JavaScript">
    <% FwGetDiDoState("FwModId"); %>
    <% NetDefEth0Cfg(); %>
    <% FwGetRtpRtspInfo(); %>

    var AuthInfo = <% FwGetUser(); %> + ":" + <% FwGetPassEx("0"); %> + "@";
    var IP = document.location.hostname;
    var RTSP_SRC = "rtsp://" + AuthInfo + IP + ":" + RTSP_PORT + "/cam<% FwGetParmValue("FwModId"); %>_0";

	function ViewInit() {
	    var Obj = "<EMBED type='application/x-vlc-plugin' pluginspage='http://www.videolan.org' version='VideoLAN.VLCPlugin.2' " +
                    "width='704' height='480' controls='False' Volume='200' id='OmniViewer' " +
                  "</EMBED>";

	    document.getElementById("ViewerArea").innerHTML = Obj;

	    var options = ":rtsp-tcp";
	    document.getElementById("OmniViewer").playlist.clear();
	    document.getElementById("OmniViewer").playlist.add(RTSP_SRC,"",options);
	    document.getElementById("OmniViewer").playlist.play();

	    document.getElementById("description").innerHTML = "<font color=#FFFFFF><% FwGetModuleName("FwModId"); %> - Camera 1</font>";
	    var timer=setInterval('OmniViewerStateChk();', 5000);
    }

    function OmniViewerStateChk() {
        with (document.all) {
            if (!document.getElementById("OmniViewer").playlist.isPlaying) {
                document.getElementById("OmniViewer").playlist.play();
            }
        }
    }
	
	function ChgModId() {
		location.href = "multi_view.asp?FwModId=" + document.all.ModSelect.value;
	}
	
	function ChgResolution() {
	    with (document.all) {
	        viewer.style.visibility = "hidden";
	        var ResData = Resolution.value.split(":");
	        OmniViewer.width = ResData[0];
	        OmniViewer.height = ResData[1];
	        viewer.style.visibility = "visible";
	    }
	}
</script>
</head>

<body leftmargin="0" topmargin="0" marginwidth="0" marginheight="0" onload="ViewInit();">
<table width="100%" height="100%" border="0" cellpadding="0" cellspacing="0" bgcolor="#F0F0F0" class="topLine">
  <tr><td valign="top" height="1" bgcolor="#F0F0F0"></td></tr>
  <tr>
    <td valign="top" height="30">
		<table border="0" cellspacing="0" cellpadding="0" align="left" width="778" height="30">
		  <tr>
			<td width="60" align="center">Module : </td>
			<td width="200">
				<select name=ModSelect onChange="ChgModId();" size=1 style="width:200px;">
					<% PxMakeRx_LiveCombo("FwModId", "ComboStyle"); %>
				</select>
			</td>
			<td width="68" align="center">Camera : </td>
			<td width="95">
				<select name=CamSelect size=1 style='width:90px;'>
					<option value=0>Camera 1 
				</select>
			</td>
			<td width="85">Resolution : </td>
			<td width="110">
                <select name='Resolution' onChange='ChgResolution();' style='width:100px;'>
					  <option value="160:112">160x112
					  <option value="320:240">320x240
					  <option value="640:352">640x352
					  <option value="640:480">640x480
					  <option value="704:480" selected>704x480
					  <option value="960:720">960x720
					  <option value="1280:720">1280x720
					  <option value="1280:1024">1280x1024
					  <option value="1920:1080">1920x1080
					  <option value="2048:1536">2048x1536
                 </select>
			</td>
			<td width="80" align="center"><input type=button class="style_ShortFocus" value="Snapshot" onclick="location.href='/cgi-bin/fwcamimgsave.cgi?FwModId=' + document.all.ModSelect.value + '&PortId=' + document.all.CamSelect.value + '&FwCgiVer=0x0001'" title="Snapshot (Only M-JPEG)" onMouseOver="this.className ='style_ShortOver'" onMouseOut="this.className ='style_ShortFocus'" onFocus="this.blur()"></td>
			<td width="80" align="center"><input type=button class="style_ShortFocus" value="Single" onclick="location.href='single_view.asp?FwModId=' + document.all.ModSelect.value" title="Single View" onMouseOver="this.className ='style_ShortOver'" onMouseOut="this.className ='style_ShortFocus'" onFocus="this.blur()"></td>
		  </tr>
		</table>
	</td>
  </tr>
  <tr><td valign="top" height="1" bgcolor="#CCCCCC"></td></tr>
  <tr>
    <td align="center" valign="middle" bgcolor="464646">
		<table border="0" cellpadding="0" cellspacing="0" bgcolor="#464646">
			<tr>
				<td>
                    <div id='viewer'> 
					    <table border="0" align="center" cellpadding="0" cellspacing="0" bgcolor="#CCCCCC">
						    <tr>
                                <td align="center" bgcolor="#000000"><div id="ViewerArea"></div></td>
						    </tr>
						    <tr>
							    <td height="20" align="center" valign="middle" bgcolor="#3278A0">
								    <div id="description"></div>
							    </td>
						    </tr>
					    </table>
                    </div>
				</td>
			</tr>
		</table>	
	</td>
  </tr>
</table>
</body>
</html>