#!/bin/sh
#--------------------------------------------------------------------
# fwupdatepost.sh for SYFT 3
#--------------------------------------------------------------------

# fwupdatepost.sh should be excuted at nand-boot mode

IS_NAND_BOOT=`cat /proc/cmdline | grep -c "root=/dev/mtdblock7"`
if [ $IS_NAND_BOOT -ne 1 ]; then
	echo "$0 should be executed at nand-boot mode"
	exit 0
fi

. /etc/init.d/fwup-function

DESC_STR="Change BOOTMODE ..."
write_firmup_state 35 "$DESC_STR"

echo "Change boot mode to FW-update mode ... "

sleep 1
# make bootmode as firmware update auto-reboot boot
#/usr/sbin/fuc -sh sft-config offset=19 data=1
BOOTMODE_TMP=/bootmode.bin
echo -n -e \\x01\\x00\\x00\\x00 > $BOOTMODE_TMP
/usr/sbin/flash_eraseall /dev/mtd9
/usr/sbin/nandwrite -p /dev/mtd9 $BOOTMODE_TMP


/bin/sync

echo "Done."
echo

DESC_STR="Change BOOTMODE ... DONE"
write_firmup_state 40 "$DESC_STR"

### reboot
/bin/sync

exit 0
