<html>
<head>
    <% FwIncludeFile("/web/charset.txt"); %>
    <meta http-equiv="expires" content="0">
	<meta http-equiv="pragma" content="no-cache">	
	<link rel="stylesheet" href="/style.css" type="text/css">
	<script language=javascript>
	<% FwCamCtlGet("AutoRun"); %>
	<% FwCamCtlGet("PTZCamera2"); %>

	function GetData() {	
		with( document.all ){
			AutoRunMode.value = AUTORUNMODE;
			AutoRunExecTime.value = AUTORUNEXECTIME;
			AutoRunTimeUnit[0].checked = ((AUTORUNTIMEUNIT == 0) ? true : false);
			AutoRunTimeUnit[1].checked = ((AUTORUNTIMEUNIT == 1) ? true : false);
			AutoRunTiltAngle.value = AUTORUNTILTANGLE;
			AutoRunTiltSpeed.value = AUTORUNTILTSPEED;
			AutoRunPresetNo.value = AUTORUNPRESETNO;
			AutoRunGroupNo.value = AUTORUNGROUPNO;
			AutoRunPatternNo.value = AUTORUNPATTERNNO;
			ChgAutoRunMode();
			ChgPageName();
		}
	}	
	
	function ChgPageName() {
		with (document.all) {
			if(PTZCAMERASET == 2) {
				if((DISPLAYPTZ == 1) && ("<% FwGetHwOption("19,20"); %>" == "1y")) {
					var Str = "&nbsp;&nbsp;&nbsp;" + "PTZ ID 01";
				}
				else if ((DISPLAYPTZ == 2) && ("<% FwGetHwOption("19,20"); %>" == "1y")) {
					var Str = "&nbsp;&nbsp;&nbsp;" + "PTZ ID 02";
				}
			}
			else {
				var Str = "";
			}
			ptz_name.innerHTML = Str;
		}
	}
	
	function ChgAutoRunMode() {
	    with (document.all) {
	        switch (AutoRunMode.value) {
	            case "2" :
	                id_PresetNo.style.display = "";

	                id_AutoRunTiltAngle.style.display = "none";
	                id_AutoRunTiltSpeed.style.display = "none";
	                id_GroupNo.style.display = "none";
	                id_PatternNo.style.display = "none";
	                break;

	            case "4" :
	                id_GroupNo.style.display = "";

	                id_AutoRunTiltAngle.style.display = "none";
	                id_AutoRunTiltSpeed.style.display = "none";
	                id_PresetNo.style.display = "none";
	                id_PatternNo.style.display = "none";
	                break;

	            case "5" :
	                id_PatternNo.style.display = "";

	                id_AutoRunTiltAngle.style.display = "none";
	                id_AutoRunTiltSpeed.style.display = "none";
	                id_PresetNo.style.display = "none";
	                id_GroupNo.style.display = "none";
	                break;

	            case "6" :
	                id_AutoRunTiltAngle.style.display = "";
	                id_AutoRunTiltSpeed.style.display = "";

	                id_PresetNo.style.display = "none";
	                id_GroupNo.style.display = "none";
	                id_PatternNo.style.display = "none";
	                break;

	            default :
	                id_AutoRunTiltAngle.style.display = "none";
	                id_AutoRunTiltSpeed.style.display = "none";
	                id_PresetNo.style.display = "none";
	                id_GroupNo.style.display = "none";
	                id_PatternNo.style.display = "none";
	                break;
	        }
	    }
	}

	function SetData() {
		with (document.all) {
			if( isNaN(AutoRunExecTime.value) == true){
				alert("\'" + AutoRunExecTime.value + "\' is not a number.");
				AutoRunExecTime.focus();
				return false;
			}
			if(AutoRunExecTime.value < 1 || AutoRunExecTime.value > 60) {
				alert("Value should be 1 ~ 60");
				AutoRunExecTime.focus();
				return false;
			}
			
			if (AutoRunMode.value == 6) {
			    if( isNaN(AutoRunTiltAngle.value) == true){
			        alert("\'" + AutoRunTiltAngle.value + "\' is not a number.");
			        AutoRunTiltAngle.focus();
			        return false;
			    }
			    if(AutoRunTiltAngle.value < -5 || AutoRunTiltAngle.value > 185) {
			        alert("Value should be -5 ~ 185");
			        AutoRunTiltAngle.focus();
			        return false;
			    }
			
			    if( isNaN(AutoRunTiltSpeed.value) == true){
			        alert("\'" + AutoRunTiltSpeed.value + "\' is not a number.");
			        AutoRunTiltSpeed.focus();
			        return false;
			    }
			    if(AutoRunTiltSpeed.value < 20 || AutoRunTiltSpeed.value > 50) {
			        alert("Value should be 20 ~ 50");
			        AutoRunTiltSpeed.focus();
			        return false;
			    }
			}
			
			toapply.disabled = true;
		}
	}
	</script>
</head>

<body class=body_Normal onload="GetData();" topmargin=100>
<form name='cam' method=Post action="/cgi-bin/admin/fwcamctlset.cgi" onSubmit="return SetData();">
	<table align=center>
		<tr>
			<td align=center height=30><font class=text_Title>PTZ Auto Run</font></td>
		</tr>
		<tr>
			<td align=right><font class=text_Explain><a id=ptz_name></a></font></td>
		</tr>
		<tr>
			<td>
				<table class=tbl_Normal cellspacing=0 align=center>
					<tr>
						<td width='200' class=td_NormalLeft>&nbsp;Auto Run Mode</td>
						<td width='230' class=td_NormalRight>&nbsp; <select name=AutoRunMode onChange="ChgAutoRunMode();">
						<option value=0>Off
						<option value=1>Home
						<option value=2>Preset
						<option value=4>Group
						<option value=5>Pattern
						<option value=6>Auto Pan </select> </td>
					</tr>
					<tr>
						<td class=td_NormalLeft>&nbsp;Exec Time</td>
						<td class=td_NormalRight>&nbsp; <input type=text name=AutoRunExecTime size=4 maxlength=2 class=obj_Normal> (Default:30, 1 ~ 60)</td>
					</tr>
					<tr>
						<td class=td_NormalLeft>&nbsp;Time Unit</td>
						<td class=td_NormalRight>
						&nbsp; <input type=radio name=AutoRunTimeUnit value=0> sec
						&nbsp; <input type=radio name=AutoRunTimeUnit value=1> min
						</td>
					</tr>
					<tr id="id_AutoRunTiltAngle">
						<td class=td_NormalLeft>&nbsp;Tilt Angle</td>
						<td class=td_NormalRight>&nbsp; <input type=text name=AutoRunTiltAngle size=4 maxlength=3 class=obj_Normal>deg (Default:25, -5 ~ 185)</td>
					</tr>
					<tr id="id_AutoRunTiltSpeed">
						<td class=td_NormalLeft>&nbsp;Auto Pan Speed</td>
						<td class=td_NormalRight>&nbsp; <input type=text name=AutoRunTiltSpeed size=4 maxlength=2 class=obj_Normal>Step (Default:20, 20 ~ 50)</td>
					</tr>		
					<tr id="id_PresetNo">
						<td class=td_NormalLeft>&nbsp;Preset No.</td>
						<td class=td_NormalRight>&nbsp; 
				            <select name="AutoRunPresetNo">
						        <option value=0>1 <option value=1>2 <option value=2>3 <option value=3>4 <option value=4>5 <option value=5>6 <option value=6>7 <option value=7>8 <option value=8>9 <option value=9>10 <option value=10>11 <option value=11>12 <option value=12>13 <option value=13>14	<option value=14>15	<option value=15>16 
						        <option value=16>17 <option value=17>18 <option value=18>19 <option value=19>20 <option value=20>21 <option value=21>22	<option value=22>23	<option value=23>24	<option value=24>25 <option value=25>26	<option value=26>27	<option value=27>28	<option value=28>29 <option value=29>30	<option value=30>31	<option value=31>32 
						        <option value=32>33 <option value=33>34 <option value=34>35 <option value=35>36 <option value=36>37 <option value=37>38 <option value=38>39 <option value=39>40 <option value=40>41 <option value=41>42 <option value=42>43 <option value=43>44 <option value=44>45 <option value=45>46	<option value=46>47	<option value=47>48 
						        <option value=48>49 <option value=49>50 <option value=50>51 <option value=51>52 <option value=52>53 <option value=53>54	<option value=54>55	<option value=55>56	<option value=56>57 <option value=57>58	<option value=58>59	<option value=59>60	<option value=60>61 <option value=61>62	<option value=62>63	<option value=63>64 
						        <option value=64>65 <option value=65>66 <option value=66>67 <option value=67>68 <option value=68>69 <option value=69>70 <option value=70>71 <option value=71>72 <option value=72>73 <option value=73>74 <option value=74>75 <option value=75>76 <option value=76>77 <option value=77>78	<option value=78>79	<option value=79>80 
						        <option value=80>81 <option value=81>82 <option value=82>83 <option value=83>84 <option value=84>85 <option value=85>86	<option value=86>87	<option value=87>88	<option value=88>89 <option value=89>90	<option value=90>91	<option value=91>92	<option value=92>93 <option value=93>94	<option value=94>95	<option value=95>96 	<option value=96>97 <option value=97>98	<option value=98>99	<option value=99>100
						        <option value=100>101 <option value=101>102 <option value=102>103 <option value=103>104 <option value=104>105 <option value=105>106 <option value=106>107 <option value=107>108 <option value=108>109 <option value=109>110 <option value=110>111 <option value=111>112 <option value=112>113 <option value=113>114	<option value=114>115	<option value=115>116 
						        <option value=116>117 <option value=117>118 <option value=118>119 <option value=119>120 <option value=120>121 <option value=121>122	<option value=122>123	<option value=123>124	<option value=124>125 <option value=125>126	<option value=126>127	<option value=127>128	<option value=128>129 <option value=129>130	<option value=130>131	<option value=131>132 
						        <option value=132>133 <option value=133>134 <option value=134>135 <option value=135>136 <option value=136>137 <option value=137>138 <option value=138>139 <option value=139>140 <option value=140>141 <option value=141>142 <option value=142>143 <option value=143>144 <option value=144>145 <option value=145>146	<option value=146>147	<option value=147>148 
						        <option value=148>149 <option value=149>150 <option value=150>151 <option value=151>152 <option value=152>153 <option value=153>154	<option value=154>155	<option value=155>156	<option value=156>157 <option value=157>158	<option value=158>159	<option value=159>160	<option value=160>161 <option value=161>162	<option value=162>163	<option value=163>164 
						        <option value=164>165 <option value=165>166 <option value=166>167 <option value=167>168 <option value=168>169 <option value=169>170 <option value=170>171 <option value=171>172 <option value=172>173 <option value=173>174 <option value=174>175 <option value=175>176 <option value=176>177 <option value=177>178	<option value=178>179	<option value=179>180 
						        <option value=180>181 <option value=181>182 <option value=182>183 <option value=183>184 <option value=184>185 <option value=185>186	<option value=186>187	<option value=187>188	<option value=188>189 <option value=189>190	<option value=190>191	<option value=191>192	<option value=192>193 <option value=193>194	<option value=194>195	<option value=195>196 	<option value=196>197 <option value=197>198	<option value=198>199	<option value=199>200
						        <option value=200>201 <option value=201>202 <option value=202>203 <option value=203>204 <option value=204>205 <option value=205>206 <option value=206>207 <option value=207>208 <option value=208>209 <option value=209>210 <option value=210>211 <option value=211>212 <option value=212>213 <option value=213>214	<option value=214>215	<option value=215>216 
						        <option value=216>217 <option value=217>218 <option value=218>219 <option value=219>220 <option value=220>221 <option value=221>222	<option value=222>223	<option value=223>224	<option value=224>225 <option value=225>226	<option value=226>227	<option value=227>228	<option value=228>229 <option value=229>230	<option value=230>231	<option value=231>232 
						        <option value=232>233 <option value=233>234 <option value=234>235 <option value=235>236 <option value=236>237 <option value=237>238 <option value=238>239 <option value=239>240 <option value=240>241 <option value=241>242 <option value=242>243 <option value=243>244 <option value=244>245 <option value=245>246	<option value=246>247	<option value=247>248 
						        <option value=248>249 <option value=249>250 <option value=250>251 <option value=251>252 <option value=252>253 <option value=253>254	<option value=254>255&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
				            </select>
						</td>
					</tr>	
					<tr id="id_GroupNo">
						<td class=td_NormalLeft>&nbsp;Group No.</td>
						<td class=td_NormalRight>&nbsp; 
				            <select name="AutoRunGroupNo">
					            <option value=0>1
					            <option value=1>2
					            <option value=2>3
					            <option value=3>4
					            <option value=4>5
					            <option value=5>6&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
				            </select>
						</td>
					</tr>	
					<tr id="id_PatternNo">
						<td class=td_NormalLeft>&nbsp;Pattern No.</td>
						<td class=td_NormalRight>&nbsp; 
				            <select name="AutoRunPatternNo">
					            <option value=0>1
					            <option value=1>2
					            <option value=2>3
					            <option value=3>4&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
				            </select>
						</td>
					</tr>		
				</table>
			</td>
		<tr>
			<td align=center height=40>
				<input type=hidden name='FwCgiVer' value='0x0001'>
				<input type=hidden name='FwMkChg' value='YES'>
				<input type=hidden name='RetPage' value='/admin/ret_ok.asp'>
				<input type=submit name=toapply value=' Apply ' class=obj_Button>
			</td>
		</tr>
	</table>
</form>
</body>
</html>