<html>
<head>
<% FwIncludeFile("/web/charset.txt"); %>
<title>Omni Viewer</title>
<link rel="stylesheet" href="/style.css" type="text/css">
<style type="text/css">
<!--
.rightLine {
	border-right-width: 1px;
	border-right-style: solid;
	border-right-color: #CCCCCC;
}
.topLine {
	border: 1px solid #CCCCCC;
}
.bottomLine {
	border-bottom-width: 1px;
	border-bottom-style: solid;
	border-bottom-color: #CCCCCC;
}

.style_ShortFocus	{border:0; width:76px; height:24px; background:url('/img/btn_ShortFocus.gif')}
.style_ShortOver	{border:0; width:76px; height:24px; background:url('/img/btn_ShortOver.gif')}
.style_ShortDisable	{border:0; width:76px; height:24px; background:url('/img/btn_ShortDisable.gif')}
.style_LongFocus	{border:0; width:160px; height:24px; background:url('/img/btn_LongFocus.gif')}
.style_LongOver		{border:0; width:160px; height:24px; background:url('/img/btn_LongOver.gif')}
.style_LongDisable	{border:0; width:160px; height:24px; background:url('/img/btn_LongDisable.gif')}

A:active, A:focus { outline:0; }
-->
</style>
<script language="JavaScript">
    <% FwGetDiDoState("FwModId"); %>
	<% FwGetPtzModConf("FwModId"); %>
	<% PxGetAllCameraCnt(); %>
    <% NetDefEth0Cfg(); %>
    <% FwGetRtpRtspInfo(); %>

    var AuthInfo = <% FwGetUser(); %> + ":" + <% FwGetPassEx("0"); %> + "@";
    var IP = document.location.hostname;
    var FunctionCall, SelectCamIdx, PresetName;
    var CurrentCamIdx = 0;
    var RTSP_SRC = "rtsp://" + AuthInfo + IP + ":" + RTSP_PORT + "/cam<% FwGetParmValue("FwModId"); %>_0";

    if (Module0CameraCnt == 0) {
        alert("It failed to get server information.\nPlease check IP device is registered properly.");
        history.back();
    }
	
    var Resize = false;
    var CirStatus = false;
    var HideStatus = false;
	
    function ViewInit() {
        var Obj = "<EMBED type='application/x-vlc-plugin' pluginspage='http://www.videolan.org' version='VideoLAN.VLCPlugin.2' " +
                    "width='704' height='480' controls='False' Volume='200' id='OmniViewer' " +
                  "</EMBED>";

        document.getElementById("ViewerArea").innerHTML = Obj;

        var options = ":rtsp-tcp";
        document.getElementById("OmniViewer").playlist.clear();
        document.getElementById("OmniViewer").playlist.add(RTSP_SRC,"",options);
        document.getElementById("OmniViewer").playlist.play();

        var Comment = "<% FwGetModuleName("FwModId"); %> - Camera 1";
        document.getElementById("description").innerHTML = Comment;

        setTimeout('PresetParser()', 500);
        var timer=setInterval('OmniViewerStateChk();', 5000);
    }

    function OmniViewerStateChk() {
        with (document.all) {
            if (!document.getElementById("OmniViewer").playlist.isPlaying) {
                document.getElementById("OmniViewer").playlist.play();
            }
        }
    }

    function PresetParser() {
        PresetName = Preset_Parsing();
    }
	
    function Ptz() {
        if (!(PTZINSTFLAG & 0x01 << parseInt(document.all.CamSelect.value, 10))) {
            alert("PTZ device is not installed.");
            return;
        }

        document.all.ptzCtl.style.display = "";

        var PRESETNAME_StartPos = new Array(255);
        var PRESETNAME_StrCnt = new Array(255);
        var PRESETNAME = new Array(31);
        var PRESETENPAGE = new Array(7);

        for (var i = 0; i < 8; i++) {
            var StartStr = "PRESETENPAGE" + i + "=";
            PRESETENPAGE[i] = PresetName.substring(PresetName.indexOf(StartStr) + 14, PresetName.indexOf(StartStr) + 24);
        }
		
        for (var i = 0; i < 256; i++) {
            var j = i + 1;
            var StartStr = "PRESETNAME" + i + "=\"";
            var EndStr =  "PRESETNAME" + j + "=\"";
            if (i == 255)
                EndStr = "PRESETENPAGE7";

            PRESETNAME_StartPos[i] = PresetName.indexOf(StartStr);

            if (i < 10) {
                PRESETNAME_StrCnt[i] = parseInt((PresetName.indexOf(EndStr) - 3) - (PRESETNAME_StartPos[i] + 13), 10);
                PRESETNAME[i] = PresetName.substr(PRESETNAME_StartPos[i] + 13, PRESETNAME_StrCnt[i]);
            }
            else if (i < 100) {
                PRESETNAME_StrCnt[i] = parseInt((PresetName.indexOf(EndStr) - 3) - (PRESETNAME_StartPos[i] + 14), 10);
                PRESETNAME[i] = PresetName.substr(PRESETNAME_StartPos[i] + 14, PRESETNAME_StrCnt[i]);
            }
            else {
                PRESETNAME_StrCnt[i] = parseInt((PresetName.indexOf(EndStr) - 3) - (PRESETNAME_StartPos[i] + 15), 10);
                PRESETNAME[i] = PresetName.substr(PRESETNAME_StartPos[i] + 15, PRESETNAME_StrCnt[i]);
            }

            if (PRESETNAME[i].indexOf("\";") != -1) {
                var CurrentPreset = PRESETNAME[i].split("\";");
                PRESETNAME[i] = CurrentPreset[0];
            }
        }

        parseInt(document.all.CamSelect.value, 10) + 1;
        var optionStr = "<select name=SetCall style='width:143px;' onChange='PtzCall();'>";

        for (i = 0; i < 256; i++) {
            var lSftValue = i % 32;

            if (i >= 0 && i <= 31) {
                if ( PRESETENPAGE[0] & (0x01 << parseInt(lSftValue)) )
                    optionStr += "<option value=" + i + "> " + PRESETNAME[i];
            }
            else if (i >= 32 && i <= 63) {
                if ( PRESETENPAGE[1] & (0x01 << parseInt(lSftValue)) )
                    optionStr += "<option value=" + i + "> " + PRESETNAME[i];
            }
            else if (i >= 64 && i <= 95) {
                if ( PRESETENPAGE[2] & (0x01 << parseInt(lSftValue)) )
                    optionStr += "<option value=" + i + "> " + PRESETNAME[i];
            }
            else if (i >= 96 && i <= 127) {
                if ( PRESETENPAGE[3] & (0x01 << parseInt(lSftValue)) )
                    optionStr += "<option value=" + i + "> " + PRESETNAME[i];
            }
            else if (i >= 128 && i <= 159) {
                if ( PRESETENPAGE[4] & (0x01 << parseInt(lSftValue)) )
                    optionStr += "<option value=" + i + "> " + PRESETNAME[i];
            }
            else if (i >= 160 && i <= 191) {
                if ( PRESETENPAGE[5] & (0x01 << parseInt(lSftValue)) )
                    optionStr += "<option value=" + i + "> " + PRESETNAME[i];
            }
            else if (i >= 192 && i <= 223) {
                if ( PRESETENPAGE[6] & (0x01 << parseInt(lSftValue)) )
                    optionStr += "<option value=" + i + "> " + PRESETNAME[i];
            }
            else if (i >= 224 && i <= 255) {
                if ( PRESETENPAGE[7] & (0x01 << parseInt(lSftValue)) )
                    optionStr += "<option value=" + i + "> " + PRESETNAME[i];
            }
        }
        optionStr += "</select>"
			
        document.getElementById("optStr").innerHTML = optionStr;	
    }
	
    function Preset_Parsing(){
        var HTTPConnect;
        if(window.ActiveXObject) {
            HTTPConnect = new ActiveXObject("Microsoft.XMLHTTP");
        }
        else if(window.XMLHttpRequest) {
            HTTPConnect = new XMLHttpRequest();
        }

        var PtzInfo = "/asp-get/fwpresetget.asp?FwModId=" + document.all.ModSelect.value + "&PortId=" + document.all.CamSelect.value;
        HTTPConnect.open("GET", PtzInfo, false);
        HTTPConnect.send(null);
        var PtzString= HTTPConnect.responseText;
        return PtzString;
    }

    function PtzCmdCtlMode(ContCmdCode, StepCmdCode) {
        with (document.all) {
            if (ptzMode.value == "1") {
                location.href = "/goform/app/FwPtzCtr?FwModId=" + ModSelect.value + "&PortId=" + CamSelect.value + "&PtzCode=" + ContCmdCode +  "&PtzParm=" + ptzSpeed.value + "&FwCgiVer=0x0001";
            }
            else {
                location.href = "/goform/app/FwPtzCtr?FwModId=" + ModSelect.value + "&PortId=" + CamSelect.value + "&PtzCode=" + StepCmdCode +  "&PtzParm=" + ptzSpeed.value + "&FwCgiVer=0x0001";
            }
        }
    }

    function PtzCmdCtl(CmdCode) {
        with (document.all) {
            if (ptzMode.value == "1") {
                location.href = "/goform/app/FwPtzCtr?FwModId=" + ModSelect.value + "&PortId=" + CamSelect.value + "&PtzCode=" + CmdCode +  "&PtzParm=" + ptzSpeed.value + "&FwCgiVer=0x0001";
            }
        }
    }
	
    function PtzCall()	{ 
        with(document.all) {
            location.href = "/cgi-bin/fwptzctr.cgi?FwModId=" + ModSelect.value + "&PortId=" + CamSelect.value + "&PtzCode=0x112&PtzParm=" + SetCall.value + "&FwCgiVer=0x0001"; 
        }
    }
	
    function ChgModId() {
        location.href = "single_view.asp?FwModId=" + document.all.ModSelect.value;
    }
	
    function ModuleName(){
        var HTTPConnect;
        if(window.ActiveXObject) {
            HTTPConnect = new ActiveXObject("Microsoft.XMLHTTP");
        }
        else if(window.XMLHttpRequest) {
            HTTPConnect = new XMLHttpRequest();
        }

        var ModInfo = "/asp-get/fwmodname.asp?FwModId=" + document.all.ModSelect.value;
        HTTPConnect.open("GET", ModInfo, false);
        HTTPConnect.send(null);
        var ModString= HTTPConnect.responseText;
        return ModString;
    }

    function ChgImgSrc(CamIdx){  
        with (document.all) {
            var RTSP_URL = RTSP_SRC.substr(0, RTSP_SRC.length - 1);
            RTSP_SRC = RTSP_URL + parseInt(CamIdx, 10);
            var ObjWidth = document.all.OmniViewer.width;
            var ObjHeight = document.all.OmniViewer.height;

            var Obj = "<EMBED type='application/x-vlc-plugin' pluginspage='http://www.videolan.org' version='VideoLAN.VLCPlugin.2' " +
                        "width='" + ObjWidth + "' height='" + ObjHeight + "' controls='False' Volume='200' id='OmniViewer' " +
                      "</EMBED>";

            document.getElementById("ViewerArea").innerHTML = Obj;

            var options = ":rtsp-tcp";
            document.getElementById("OmniViewer").playlist.clear();
            document.getElementById("OmniViewer").playlist.add(RTSP_SRC,"",options);
            document.getElementById("OmniViewer").playlist.play();

            var ModName = ModuleName();
            var CameraNo = parseInt(CamIdx, 10) + 1;

            if (DICOUNT == DOCOUNT) {
                var DoChannel = parseInt(CamIdx, 10) + 1;
                document.all.Do.value = "Do " + DoChannel;
            }
						
            var Comment = ModName + " - Camera " + CameraNo;
            document.getElementById("description").innerHTML = Comment;
        }
    }
	
    function ChgCamName(param) {
        with (document.all) {
            var ModName = ModuleName();
            var CameraNo = param;
            var Comment = ModName + " - Camera " + CameraNo;
            document.getElementById("description").innerHTML = Comment;
        }
    }
	
    function Circulation() {
        with( document.all){ 
            if(DOCOUNT == 1) { 
                alert("This model has a camera, So no rotation."); 
            }
            else if(DOCOUNT > 1) { 
                var CamCnt = 0;
                for(var i=1; i < DOCOUNT + 1; i++) {
                    if (eval("cam" + i).checked) {   
                        CamCnt++;
                    }
                }
                if (CamCnt == 0) {
                    alert("Please select a camera.");
                    return false;
                }

                var CamIdx = "";
                for(var i=1; i < DOCOUNT + 1; i++) {
                    if (eval("cam" + i).checked) {   
                        CamIdx += eval("cam" + i).value + ":";
                    }	
                }

                SelectCamIdx = CamIdx.split(":");
                FunctionCall = setInterval(function(){SequenceInterval(SelectCamIdx, Number(SelectCamIdx.length - 1))}, Number(RotateTime.value));

                CirStatus = true;
            }
        }   
    }
	
    function CirculationOff() {
        with (document.all) {
            clearInterval(FunctionCall);

            if(DOCOUNT == 1) { 
                cam1.checked = false;
                return;
            }
            else if(DOCOUNT > 1) { 
                for(i = 1; i <= DOCOUNT; i++) {
                    eval("cam" + i).checked = false;
                }
                RotateTime.value = 3000;

                ChgImgSrc(CamSelect.value);
                CurrentCamIdx = 0;
                CirStatus = false;
            }
        }
    }

    function SequenceInterval(CamIdx, Cnt) {
        with (document.all) {
            ChgImgSrc(CurrentCamIdx);
            
            CurrentCamIdx++;
            if (CurrentCamIdx == Cnt)
                CurrentCamIdx = 0;
        }
    }

    function DO_Parsing(){
        var HTTPConnect;
        if(window.ActiveXObject) {
            HTTPConnect = new ActiveXObject("Microsoft.XMLHTTP");
        }
        else if(window.XMLHttpRequest) {
            HTTPConnect = new XMLHttpRequest();
        }

        var DoInfo = "/asp-get/fwdioget.asp?FwModId=" + document.all.ModSelect.value;
        HTTPConnect.open("GET", DoInfo, false);
        HTTPConnect.send(null);
        var DoString= HTTPConnect.responseText;
        var Position = DoString.indexOf("DO_DATA=");
        return DoString.substr(Position + 8, 4);
    }

    function DoControl() {
        with (document.all) {
            var DO_DATA = DO_Parsing();
            var DoValue;
            var Flag;
            switch (CamSelect.value) {
                case "0" : DoValue = 1; break;
                case "1" : DoValue = 2; break;
                case "2" : DoValue = 4; break;
                case "3" : DoValue = 8; break;
            }
			
            Flag = (DO_DATA ^ DoValue);
            DoTrans.src = "/cgi-bin/fwdoctr.cgi?DoData=" + Flag + "&FwModId=" + document.all.ModSelect.value + "&FwCgiVer=0x0001"; 
        }
    }
	
    function DoStatus(param) {
        document.all.Do.disabled = param;
    }
	
    function PtzStatus(param) {
        document.all.PtzCtrl.disabled = param;
        if (param == false) {
            document.all.ptzCtl.style.display = "none";
        }
    }
	
    function Pause() {
        with (document.all) {
            if (Pause.value == "Stop") {
                Pause.value = "Play";
                OmniViewer.playlist.stop();
            }
            else {
                Pause.value = "Stop";
                OmniViewer.playlist.play();
            }
        }
    }

    function None() {
        with (document.all) {
            if (NoneChannel.value == "None Channel") {
                HideStatus = true;
                NoneChannel.value = "Show Channel";
                viewer.style.visibility = "hidden";
            }
            else {
                HideStatus = false;
                NoneChannel.value = "None Channel";
                viewer.style.visibility = "visible";
            }
        }
    }
	
    function Stretch() {
        with (document.all) {
            if (!HideStatus) {
                Resize = true;
					
                TargetArea.width = "100%";
                TargetArea.height = "100%";
                OmniViewer.width = TargetArea.offsetWidth - 2;
                OmniViewer.height = TargetArea.offsetHeight - 24;
            }
        }
    }
	
    function Restore() {
        with (document.all) {
            if (!HideStatus) {
                Resize = false;
		
                TargetArea.width = "100%";
                TargetArea.height = "100%";

                var ResData = Resolution.value.split(":");
                OmniViewer.width = ResData[0];
                OmniViewer.height = ResData[1];
            }
        }
    }

    function ChgResolution() {
        with (document.all) {
            viewer.style.visibility = "hidden";
            var ResData = Resolution.value.split(":");
            OmniViewer.width = ResData[0];
            OmniViewer.height = ResData[1];
            viewer.style.visibility = "visible";
        }
    }
	
    function Multi() {
        if(<% FwGetHwOption("7"); %> == 1) { 
            alert("This model has a Camera, So no multi view page."); 
        }
        else { 
			    location.href = "multi_view.asp?FwModId=" + document.all.ModSelect.value;
        }	
    } 

    function FullScreen() {
        document.getElementById("OmniViewer").video.toggleFullscreen();
    }
	
    function SH_Module() {
        if (document.all.modCtl.style.display == "none") {
            document.all.modCtl.style.display = "";
        }
        else {
            document.all.modCtl.style.display = "none"
        }
    }
	
    function SH_Channel() {
        if (document.all.chCtl.style.display == "none") {
            document.all.chCtl.style.display = "";
        }
        else {
            document.all.chCtl.style.display = "none"
        }
    }
	
    function SH_Ptz() {
        if (document.all.ptzCtl.style.display == "none") {
            Ptz();
        }
        else {
            document.all.ptzCtl.style.display = "none"
        }
    }
	
    function SH_Resize() {
        if (!Resize) {
            Stretch();
        }
        else {
            Restore();
        }
    }
	
    function StartStopCir() {
        if (!CirStatus) {
            Circulation();
        }
        else {
            CirculationOff();
        }
    }
	
    function ModClose() {
        document.all.modCtl.style.display = "none";
    }
	
    function ChClose() {
        document.all.chCtl.style.display = "none";
    }
	
    function PtzClose() {
        document.all.ptzCtl.style.display = "none";
    }

    function Download() {
        top.location.href = "http://www.videolan.org/vlc/";
    }
	
    function bluring(){
        if(event.srcElement.tagName=="A"||event.srcElement.tagName=="IMG") 
            document.body.focus();
    }
    document.onfocusin=bluring;
	
</script>
</head>

<body leftmargin="0" topmargin="0" marginwidth="0" marginheight="0" onload="ViewInit();">
<table width="100%" height="100%" border="0" cellpadding="0" cellspacing="0" class="topLine">
  <tr> 
    <td colspan="3" class="bottomLine">
		<table width="100%" border="0" cellspacing="0" cellpadding="0" bgcolor="#F0F0F0">
		  <tr>
			<td width="10">&nbsp;</td>
			<td align="center" width="40" height="38"><a href="javascript:SH_Module();"><img src="/img/server.gif" border="0" title="Show/Hide Module Selection bar"></a></td>
			<td align="center" width="40" height="38"><a href="javascript:SH_Channel();"><img src="/img/channel.gif" border="0" title="Show/Hide Camera Control bar"></a></td>
			<td align="center" width="40" height="38"><a href="javascript:SH_Ptz();"><img src="/img/ptzctl.gif" border="0" title="Show/Hide PTZ Control bar"></a></td>
			<td align="center" width="40" height="38"><a href="javascript:FullScreen();"><img src="/img/fullscreen.gif" border="0" title="Switch to full screen"></a></td>
			<td align="center" width="40" height="38"><a href="javascript:StartStopCir();"><img src="/img/circulation.gif" border="0" title="Start/Stop Circulation"></a></td>
			<td align="center" width="40" height="38"><a href="javascript:SH_Resize();"><img src="/img/stretch.gif" border="0" title="Enlarge video"></a></td>
			<td>&nbsp;</td>
		  </tr>
		</table>
	</td>
  </tr>
  <tr> 
    <td width="200" valign="top" bgcolor="#D7E6F0" class="rightLine">
	 <div id="modCtl"> 
        <table width="200" border="0" cellspacing="0" cellpadding="0">
          <tr> 
            <td><table width="200" border="0" cellspacing="0" cellpadding="0">
                <tr> 
                  <td width="185" align="center" bgcolor="#98AFCC" class="adm"><font color=#ffffff><b>Module 
                    Selection</b></font></td>
                  <td width="15"><a href="javascript:ModClose();" onMouseOver="document.all.Img1.src='/img/closeOver.gif'" onMouseOut="document.all.Img1.src='/img/close.gif'"><img src="/img/close.gif" width="15" height="15" id="Img1" border="0"></a></td>
                </tr>
              </table></td>
          </tr>
          <tr> 
            <td> <select name=ModSelect size=1 onChange="ChgModId(this.form);" style="width:200px;">
                <% PxMakeRx_LiveCombo("FwModId", "ComboStyle"); %>
              </select> </td>
          </tr>
        </table>
        <table width="200" border="0" cellspacing="0" cellpadding="0">
          <tr> 
            <td valign="top" height="10" colspan="2"></td>
          </tr>
          <tr> 
            <td width="90" height="25">&nbsp; Camera</td>
            <td> <script language="JavaScript">
                     if (DICOUNT == "1") {
                         var str = "<select name=CamSelect size=1 onChange='ChgImgSrc(this.value);' style='width:100px;'>";
                         str += "<option value=0>Camera 1 </select>";
                         document.write(str);
                     }
                     else if (DICOUNT == "2") {
                         var str = "<select name=CamSelect size=1 onChange='ChgImgSrc(this.value);' style='width:100px;'>";
                         str += "<option value=0>Camera 1 <option value=1>Camera 2 </select>";
                         document.write(str);
                     }
                     else if (DICOUNT == "4") {
                         var str = "<select name=CamSelect size=1 onChange='ChgImgSrc(this.value);' style='width:100px;'>";
                         str += "<option value=0>Camera 1 <option value=1>Camera 2 <option value=2>Camera 3 <option value=3>Camera 4 </select>";
                         document.write(str);
                     }
				</script> </td>
          </tr>
          <tr> 
            <td height="25">&nbsp; Resolution</td>
            <td> <select name='Resolution' onChange='ChgResolution();' style='width:100px;'>
					  <option value="160:112">160x112
					  <option value="320:240">320x240
					  <option value="640:352">640x352
					  <option value="640:480">640x480
					  <option value="704:480" selected>704x480
					  <option value="960:720">960x720
					  <option value="1280:720">1280x720
					  <option value="1280:1024">1280x1024
					  <option value="1920:1080">1920x1080
					  <option value="2048:1536">2048x1536
                 </select> </td>
          </tr>
          <tr> 
            <td valign="top" height="10" colspan="2"></td>
          </tr>
        </table>
      </div>
      <div id="chCtl"> 
        <table width="200" border="0" cellspacing="0" cellpadding="0">
          <tr> 
            <td><table width="200" border="0" cellspacing="0" cellpadding="0">
                <tr> 
                  <td width="185" align="center" bgcolor="#98AFCC" class="adm"><font color=#ffffff><b>Camera 
                    Control</b></font></td>
                  <td width="15"><a href="javascript:ChClose();" onMouseOver="document.all.Img2.src='/img/closeOver.gif'" onMouseOut="document.all.Img2.src='/img/close.gif'"><img src="/img/close.gif" width="15" height="15" id="Img2" border="0"></a></td>
                </tr>
              </table></td>
          </tr>
        </table>
        <table width="200" border="0" cellspacing="0" cellpadding="0">
          <tr> 
            <td valign="top" height="10" colspan="2"></td>
          </tr>
          <tr> 
            <td width="65" height="25">&nbsp; Camera</td>
            <td> <script language="JavaScript">
                     if (DOCOUNT == "1") {
                         var str = "<input type='checkbox' name='cam1' value='0'>1";
                         document.write(str);
                     }
                     else if (DOCOUNT == "2") {
                         var str = "<input type='checkbox' name='cam1' value='0'>1 ";
                         str += "<input type='checkbox' name='cam2' value='1'>2";
                         document.write(str);
                     }
                     else if (DOCOUNT == "4") {
                         var str = "<input type='checkbox' name='cam1' value='0'>1 ";
                         str += "<input type='checkbox' name='cam2' value='1'>2";
                         str += "<input type='checkbox' name='cam3' value='2'>3 ";
                         str += "<input type='checkbox' name='cam4' value='3'>4";
                         document.write(str);
                     }
					</script> </td>
          </tr>
        </table>
        <table width="200" border="0" cellspacing="0" cellpadding="0">
          <tr> 
            <td align="center">&nbsp;
			 <select name=RotateTime size=1>
                <option value=1000>1 sec
                <option value=2000>2 sec
                <option value=3000 selected>3 sec 
                <option value=4000>4 sec
                <option value=5000>5 sec
                <option value=7000>7 sec
                <option value=10000>10 sec
                <option value=15000>15 sec
                <option value=20000>20 sec
                <option value=30000>30 sec
                <option value=60000>60 sec</select> <input type=button class="style_ShortFocus" name="Circulation" value="Circulation" onclick="Circulation();" onMouseOver="this.className ='style_ShortOver'" onMouseOut="this.className ='style_ShortFocus'" onFocus="this.blur()"></td>
          </tr>
          <tr> 
            <td valign="top" height="5" colspan="2"></td>
          </tr>
          <tr> 
            <td align=center> <input type=button class="style_LongFocus" name="CirculationOff" value="Circulation - Off" onclick="CirculationOff();" onMouseOver="this.className ='style_LongOver'" onMouseOut="this.className ='style_LongFocus'" onFocus="this.blur()">
            </td>
          </tr>
          <tr> 
            <td valign="top" height="15" colspan="2"></td>
          </tr>
          <tr> 
            <td align=center> <input type=button class="style_ShortFocus"  name="Do" value="Do 1" onclick="DoControl();" onMouseOver="this.className ='style_ShortOver'" onMouseOut="this.className ='style_ShortFocus'" onFocus="this.blur()">&nbsp;
				<input type=button class="style_ShortFocus" name="Pause" value="Stop" onclick="Pause();" onMouseOver="this.className ='style_ShortOver'" onMouseOut="this.className ='style_ShortFocus'" onFocus="this.blur()">
            </td>
          </tr>
          <tr> 
            <td valign="top" height="5" colspan="2"></td>
          </tr>
          <tr> 
            <td align=center> <input type=button class="style_LongFocus" name="NoneChannel" value="None Channel" onclick="None();" onMouseOver="this.className ='style_LongOver'" onMouseOut="this.className ='style_LongFocus'" onFocus="this.blur()">
            </td>
          </tr>
          <tr> 
            <td valign="top" height="5" colspan="2"></td>
          </tr>
          <tr> 
            <td align=center> <input type=button class="style_ShortFocus" value="Stretch" onclick="Stretch();" onMouseOver="this.className ='style_ShortOver'" onMouseOut="this.className ='style_ShortFocus'" onFocus="this.blur()">&nbsp;
				<input type=button class="style_ShortFocus" value="Restore" onclick="Restore();" onMouseOver="this.className ='style_ShortOver'" onMouseOut="this.className ='style_ShortFocus'" onFocus="this.blur()">
            </td>
          </tr>
          <tr> 
            <td valign="top" height="15" colspan="2"></td>
          </tr>
          <tr> 
            <td align=center> <input type=button class="style_LongFocus" name="FullScreen" value="Full Screen" onclick="FullScreen();" onMouseOver="this.className ='style_LongOver'" onMouseOut="this.className ='style_LongFocus'" onFocus="this.blur()">
            </td>
          </tr>
          <tr> 
            <td valign="top" height="5" colspan="2"></td>
          </tr>
          <tr> 
            <td align=center> 
				<input type=button class="style_ShortFocus" value="Snapshot" onclick="location.href='/cgi-bin/fwcamimgsave.cgi?FwModId=' + document.all.ModSelect.value + '&PortId=' + document.all.CamSelect.value + '&FwCgiVer=0x0001'" title="Snapshot (Only M-JPEG)" onMouseOver="this.className ='style_ShortOver'" onMouseOut="this.className ='style_ShortFocus'" onFocus="this.blur()">&nbsp;
				<input type=button class="style_ShortFocus" value="Multi" onclick="Multi();" title="Multi View" onMouseOver="this.className ='style_ShortOver'" onMouseOut="this.className ='style_ShortFocus'" onFocus="this.blur()">
            </td>
          </tr>
          <tr> 
            <td valign="top" height="5" colspan="2"></td>
          </tr>
          <tr> 
            <td align=center><input type=button class="style_LongFocus" name="PtzCtrl" value="PTZ Control" onclick="SH_Ptz();" title="Pan/Tilt/Zoom" onMouseOver="this.className ='style_LongOver'" onMouseOut="this.className ='style_LongFocus'" onFocus="this.blur()">
              <iframe src="" id="DoTrans" name="DoTrans" width="0" height="0" marginwidth="0" marginheight="0" frameborder="0" scrolling="no"></iframe></td>
          </tr>
          <tr> 
            <td valign="top" height="15" colspan="2"></td>
          </tr>
          <tr> 
            <td align=center><input type=button class="style_LongFocus" value="VLC Download" onclick="Download();" onMouseOver="this.className ='style_LongOver'" onMouseOut="this.className ='style_LongFocus'" onFocus="this.blur()"></td>
          </tr>
        </table>
      </div></td>
    <td valign="top" bgcolor="#C8DAE8" class="rightLine"> <div id="ptzCtl" style="display:none;"> 
        <table width="190" border="0" cellpadding="0" cellspacing="0" bgcolor="#C8DAE8">
          <tr> 
            <td><table width="190" border="0" cellspacing="0" cellpadding="0">
                <tr> 
                  <td width="185" align="center" bgcolor="#98AFCC" class="adm"><font color=#ffffff><b>Pan / Tilt / Zoom</b></font></td>
                  <td width="15"><a href="javascript:PtzClose();" onMouseOver="document.all.Img3.src='/img/closeOver.gif'" onMouseOut="document.all.Img3.src='/img/close.gif'"><img src="/img/close.gif" width="15" height="15" id="Img3" border="0"></a></td>
                </tr>
              </table></td>
          </tr>
          <tr> 
            <td valign="top" height="10"></td>
          </tr>
          <tr> 
            <td align="center" valign="middle">Speed&nbsp; <select name=ptzSpeed style='width:70px;'>
                <option value=1> 1 
                <option value=2> 2 
                <option value=3> 3 
                <option value=4> 4 
                <option value=5> 5 
                <option value=6> 6 
                <option value=7> 7 
                <option value=8> 8 
                <option value=9> 9 
                <option value=10 selected> 10 
                <option value=11> 11 
                <option value=12> 12 
                <option value=13> 13 
                <option value=14> 14 
                <option value=15> 15
                <option value=16> 16 </select> </td>
          </tr>
          <tr> 
            <td valign="top" height="10"></td>
          </tr>
          <tr> 
            <td align="center">
				<table width="138" border="0" cellspacing="0" cellpadding="0">
				  <tr>
					<td><img src="/img/ptz/up_left.gif" width="56" height="56" border="0" title=" Left Up " onMouseDown="PtzCmdCtlMode('0x106','0x306');" onMouseUp="PtzCmdCtl('0x206');" onMouseOver="this.src='/img/ptz/up_leftOver.gif'" onMouseOut="this.src='/img/ptz/up_left.gif'"></td>
					<td><img src="/img/ptz/up.gif" width="56" height="56" border="0" title=" Up " onMouseDown="PtzCmdCtlMode('0x107','0x307');" onMouseUp="PtzCmdCtl('0x207');" onMouseOver="this.src='/img/ptz/upOver.gif'" onMouseOut="this.src='/img/ptz/up.gif'"></td>
					<td><img src="/img/ptz/up_right.gif" width="56" height="56" border="0" title=" Right Up " onMouseDown="PtzCmdCtlMode('0x108','0x308');" onMouseUp="PtzCmdCtl('0x208');" onMouseOver="this.src='/img/ptz/up_rightOver.gif'" onMouseOut="this.src='/img/ptz/up_right.gif'"></td>
				  </tr>
				  <tr>
					<td><img src="/img/ptz/left.gif" width="56" height="56" border="0" title=" Left " onMouseDown="PtzCmdCtlMode('0x103','0x303');" onMouseUp="PtzCmdCtl('0x203');" onMouseOver="this.src='/img/ptz/leftOver.gif'" onMouseOut="this.src='/img/ptz/left.gif'"></td>
					<td><img src="/img/ptz/home.gif" width="56" height="56" border="0" title="Home" onMouseDown="PtzCmdCtlMode('0x104','0x304');" onMouseOver="this.src='/img/ptz/homeOver.gif'" onMouseOut="this.src='/img/ptz/home.gif'"></td>
					<td><img src="/img/ptz/right.gif" width="56" height="56" border="0" title=" Right " onMouseDown="PtzCmdCtlMode('0x105','0x305');" onMouseUp="PtzCmdCtl('0x205');" onMouseOver="this.src='/img/ptz/rightOver.gif'" onMouseOut="this.src='/img/ptz/right.gif'"></td>
				  </tr>
				  <tr>
					<td><img src="/img/ptz/down_left.gif" width="56" height="56" border="0" title=" Left Down " onMouseDown="PtzCmdCtlMode('0x100','0x300');" onMouseUp="PtzCmdCtl('0x200');" onMouseOver="this.src='/img/ptz/down_leftOver.gif'" onMouseOut="this.src='/img/ptz/down_left.gif'"></td>
					<td><img src="/img/ptz/down.gif" width="56" height="56" border="0" title=" Down " onMouseDown="PtzCmdCtlMode('0x101','0x301');" onMouseUp="PtzCmdCtl('0x201');" onMouseOver="this.src='/img/ptz/downOver.gif'" onMouseOut="this.src='/img/ptz/down.gif'"></td>
					<td><img src="/img/ptz/down_right.gif" width="56" height="56" border="0" title=" Right Down " onMouseDown="PtzCmdCtlMode('0x102','0x302');" onMouseUp="PtzCmdCtl('0x202');" onMouseOver="this.src='/img/ptz/down_rightOver.gif'" onMouseOut="this.src='/img/ptz/down_right.gif'"></td>
				  </tr>
				</table>
			</td>
          </tr>
          <tr> 
            <td valign="top" height="10"></td>
          </tr>
          <tr> 
            <td align="center"><table width="160" border="0" align="center" cellpadding="1" cellspacing="2">
                <tr align="center"> 
                  <td><a onMouseDown="PtzCmdCtlMode('0x10B','0x30B');" onMouseUp="PtzCmdCtl('0x20B');"><img src="/img/ptz/zoom_in.gif" title=" Zoom In " border=0 onMouseOver="this.src='/img/ptz/zoom_inOver.gif'" onMouseOut="this.src='/img/ptz/zoom_in.gif'"></a></td>
                  <td><a onMouseDown="PtzCmdCtlMode('0x10C','0x30C');" onMouseUp="PtzCmdCtl('0x20C');"><img src="/img/ptz/zoom_out.gif" title=" Zoom Out " border=0 onMouseOver="this.src='/img/ptz/zoom_outOver.gif'" onMouseOut="this.src='/img/ptz/zoom_out.gif'"></a></td>
                </tr>
                <tr align="center"> 
                  <td><a onMouseDown="PtzCmdCtlMode('0x10D','0x30D');" onMouseUp="PtzCmdCtl('0x20D');"><img src="/img/ptz/focus_far.gif" title=" Focus Far " border=0 onMouseOver="this.src='/img/ptz/focus_farOver.gif'" onMouseOut="this.src='/img/ptz/focus_far.gif'"></a></td>
                  <td><a onMouseDown="PtzCmdCtlMode('0x10E','0x30E');" onMouseUp="PtzCmdCtl('0x20E');"><img src="/img/ptz/focus_near.gif" title=" Focus Near " border=0 onMouseOver="this.src='/img/ptz/focus_nearOver.gif'" onMouseOut="this.src='/img/ptz/focus_near.gif'"></a></td>
                </tr>
                <tr align="center"> 
                  <td><a href="javascript:PtzCmdCtlMode('0x109','0x309');"><img src="/img/ptz/auto_start.gif" title=" Auto Pan Start " border=0 onMouseOver="this.src='/img/ptz/auto_startOver.gif'" onMouseOut="this.src='/img/ptz/auto_start.gif'"></a></td>
                  <td><a href="javascript:PtzCmdCtlMode('0x10A','0x30A');"><img src="/img/ptz/auto_stop.gif" title=" Auto Pan Stop " border=0 onMouseOver="this.src='/img/ptz/auto_stopOver.gif'" onMouseOut="this.src='/img/ptz/auto_stop.gif'"></a></td>
                </tr>
              </table></td>
          </tr>
          <tr> 
            <td valign="top" height="10"></td>
          </tr>
          <tr> 
            <td align="center">Preset Call</td>
          </tr>
          <tr> 
            <td valign="top" height="5"></td>
          </tr>
          <tr> 
            <td align="center"> <div id="optStr"></div></td>
          </tr>
          <tr> 
            <td valign="top" height="10"></td>
          </tr>
          <tr> 
            <td align="center">PTZ Move Mode</td>
          </tr>
          <tr> 
            <td valign="top" height="5"></td>
          </tr>
          <tr> 
            <td align="center"> <select name=ptzMode style='width:143px;'>
                <option value=0> Step 
                <option value=1 selected> Continuous </select> </td>
          </tr>
          <tr> 
            <td valign="top" height="10"></td>
          </tr>
          <tr> 
            <td align="center"><table width="160" border="0" align="center" cellpadding="1" cellspacing="2">
                <tr align="center"> 
                  <td><img src="/img/ptz/light_on.gif" border="0" title="AUX 1 On(Light)" onClick="PtzCmdCtl('0x113');" onMouseOver="this.src='/img/ptz/light_onOver.gif'" onMouseOut="this.src='/img/ptz/light_on.gif'"></td>
                  <td><img src="/img/ptz/light_off.gif" border="0" title="AUX 1 Off(Light)" onClick="PtzCmdCtl('0x114');" onMouseOver="this.src='/img/ptz/light_offOver.gif'" onMouseOut="this.src='/img/ptz/light_off.gif'"></td>
                </tr>
                <tr align="center"> 
                  <td><img src="/img/ptz/aux1_on.gif" border="0" title="AUX 2 On" onClick="PtzCmdCtl('0x115');" onMouseOver="this.src='/img/ptz/aux1_onOver.gif'" onMouseOut="this.src='/img/ptz/aux1_on.gif'"></td>
                  <td><img src="/img/ptz/aux1_off.gif" border="0" title="AUX 2 Off" onClick="PtzCmdCtl('0x116');" onMouseOver="this.src='/img/ptz/aux1_offOver.gif'" onMouseOut="this.src='/img/ptz/aux1_off.gif'"></td>
                </tr>
                <tr align="center"> 
                  <td><img src="/img/ptz/aux2_on.gif" border="0" title="AUX 3 On" onClick="PtzCmdCtl('0x117');" onMouseOver="this.src='/img/ptz/aux2_onOver.gif'" onMouseOut="this.src='/img/ptz/aux2_on.gif'"></td>
                  <td><img src="/img/ptz/aux2_off.gif" border="0" title="AUX 3 Off" onClick="PtzCmdCtl('0x118');" onMouseOver="this.src='/img/ptz/aux2_offOver.gif'" onMouseOut="this.src='/img/ptz/aux2_off.gif'"></td>
                </tr>
              </table></td>
          </tr>
        </table>
      </div></td>
    <td width="100%" height="100%" align="center" valign="middle" bgcolor="#464646" id="TargetArea"> 
      <div id='viewer'> 
        <table border="0" align="center" cellpadding="0" cellspacing="0" bgcolor="#CCCCCC">
          <tr> 
            <td align="center" bgcolor="#000000"><div id="ViewerArea"></div></td>
          </tr>
          <tr> 
            <td height="20" align="center" valign="top" bgcolor="#ADFF69"><div id="description"></div></td>
          </tr>
        </table>
      </div></td>
  </tr>
</table>
</body>
</html>